/* Reset de estilos */
:root {
    --color-primary: #083B66;
    --color-secondary: #7E7E7E;
    --color-tertiary: #B1B1B1;
    --color-accent: #0088E9;
}

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

/* Estilos generales */
body {    
    font-family: 'Kanit', sans-serif;
    line-height: 1.5;
    color: #333;
    height: 100vh;
}

body::-webkit-scrollbar {
    width: 0px;
    height: 0px;
    background-color: #F5F5F5;
}

body::-webkit-scrollbar-thumb {
    background-color: #000000;
}

.container1 {
    display: flex;
    max-width: 1200px;
    margin: 0 auto;
    padding: 0 20px;
    justify-content: center;
    flex-wrap: wrap;
}

.container {
    max-width: 1200px;
    margin: 0 auto;
    padding: 0 20px;
}

/* Estilos del encabezado */
header {
    position: relative;
    font-family: 'Kanit', sans-serif;
}

nav {
    background-color: white;
    padding: 1%;
    display: flex;
    align-items: center;
    position:absolute ;
    width: auto;
    z-index: 2;
    text-align: right;
    border-radius: 5px;
    margin-left: 1%;
    margin-right: 1%;
    margin-top: 1%;
    border: solid 0.2vw var(--color-primary);
    transition: top 0.3s ease;
}

.logo img {
    width: 6vw;
    height: auto;
}

nav ul {
    list-style-type: none;
    display: flex;
    justify-content: center;
    font-size: 1.2vw;
}

nav ul li {
    margin-right: 2vw;
    size: auto;
}

nav ul li a {
    color: var(--color-primary);
    text-decoration: none;
    font-weight: bold;
    margin-left: 1.5vw;
}

nav ul li a:hover {
    color: var(--color-accent);
}

/* Estilo para el menú desplegable */
.dropdown {
    position: relative;
    display: inline-block;
}

.formulario-contacto label, .formulario-contacto input, .formulario-contacto textarea {
    display: block;
    margin-bottom: 10px;
}
  
.dropdown-content {
    display: none;
    position: absolute;
    background-color: #f9f9f9;
    min-width: 160px;
    box-shadow: 0px 8px 16px 0px rgba(0,0,0,0.2);
    z-index: 1;
    width: 250px;
    text-align: left;
    font-size: 1vw;
}
  
.dropdown-content a {
    color: #333;
    padding: 12px 16px;
    text-decoration: none;
    display: block;
}
  
.dropdown:hover .dropdown-content {
    display: block;
}

/* Estilos de la imagen de cabecera */
.hero-image {
    background-size: cover;
    background-position: center;
    height: 40vw;
    position: relative;
    background-image: url(/dabytec-portada.png);
}

.hero-text {
    position: relative;
    top: 11vw;
    left: 5vw;
    text-align: left;
    color: var(--color-primary);
    width: 30vw;
}

.hero-text h1 {
    font-size: 2.5vw;
    margin-bottom: 6vw;
}

.hero-text p {
    font-size: 1.2vw;
    margin-bottom: 2vw;
}

.btn {
    display: inline-block;
    padding: 0.5vw 1vw;
    background-color: #0088E9;
    color: #FFF;
    text-decoration: none;
    font-size: 1vw;
    border-radius: 4px;
    width: auto;
}

.btn:hover {
    background-color: #083B66;
}

.hero-image2 {
    background-size: cover;
    background-position: center;
    height: 0vw;
    position: relative;
}

.hero-text2 {
    position: relative;
    text-align: left;
    color: var(--color-primary);
    width: 19vw;
}

.hero-text2 h1 {
    font-size: 0.5vw;
    color: white;
}

.hero-text2 p {
    font-size: 0.5vw;
    color: white;
}

.btn2 {
    display: inline-block;
    background-color: #0088E9;
    color: #FFF;
    text-decoration: none;
    font-size: 0vw;
    border-radius: 4px;
    width: 0vw;
}

.btn2:hover {
    background-color: #083B66;
}

/* Estilos de la sección de servicios */
.services {
    background-color: var(--color-primary);
    padding: 10px;
    color: white;
    width: 100%;
    height: auto;
    margin: auto;
}

#h2N {
    width: 100%;
    color: white;
    justify-content: center;
    display: block;
    align-content: center;
    text-align: center;
    font-size: 30px;
    margin-top: 1%;
    margin-bottom: 1%;
}

.service {
    text-align: center;
    margin-bottom: 40px;
    padding: 10px;
    border-radius: 5%;
    background-color: white;
    margin-top: 10px;
    margin-left: 10px;
    margin-right: 10px;
    color: #000000;
    width: 330px;
    display: flex;
    flex-direction: column;
    align-items: center;
}

.service img {
    width: 200px;
    height: auto;
    margin-bottom: 20px;
    margin-top: 20px;
    margin-top: 1%;
  }

.service h3 {
    font-size: 25px;
    margin-bottom: 10px;
}

.service p {
    font-family: 'Roboto Condensed', sans-serif;
    width: 270px;
    text-align: left;
    margin-bottom: auto;
    font-size: 19px;
}

/* Estilos de la sección de contacto */
.contact {
    padding: 40px;
}

.h1N {
    text-align: left;
    margin-bottom: 10px;
    font-size: 18px;
}

.contact h1 {
    font-size: 25px;
    justify-content: center;
    align-items: center;
    align-content: center;
}

.contact form {
    max-width: 400px;
    margin: 0 auto;
}

.contact form input,
.contact form textarea {
    display: block;
    width: 100%;
    padding: 10px;
    margin-bottom: 20px;
    border-radius: 4px;
    border: 1px solid #CCC;
}

.contact form button {
    display: block;
    width: 100%;
    padding: 10px;
    background-color: #083B66;
    color: #FFF;
    border: none;
    border-radius: 4px;
    transition: background-color 0.3s;
}

.contact form button:hover {
    background-color: #0088E9;
}

/* Estilos del pie de página */
footer {
    background-color: #083B66;
    padding: 20px;
    text-align: center;
    color: #FFF;
    font-size: 18px;
}

.image-container {
    width: 200px;
    height: 200px;
    border-radius: 50%;
    overflow: hidden;
    box-shadow: 0px 0px 50px rgba(0, 0, 0, 0.5);
}
  
.image-container img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    align-content: center;
}

@media (max-width: 1250px) {

    /* Reset de estilos */
    :root {
        --color-primary: #083B66;
        --color-secondary: #7E7E7E;
        --color-tertiary: #B1B1B1;
        --color-accent: #0088E9;
    }

    * {
        margin: 0;
        padding: 0;
        box-sizing: border-box;
    }

    /* Estilos generales */
    body {    
        font-family: 'Kanit', sans-serif;
        line-height: 1.5;
        color: #333;
        height: 100vh;
    }

    body::-webkit-scrollbar {
        width: 0px;
        height: 0px;
        background-color: #F5F5F5;
    }

    body::-webkit-scrollbar-thumb {
        background-color: #000000;
    }

    .container1 {
        display: flex;
        max-width: 1200px;
        margin: 0 auto;
        padding: 0 20px;
        justify-content: center;
        flex-wrap: wrap;
    }

    .container {
        max-width: 1200px;
        margin: 0 auto;
        padding: 0 20px;
    }

    /* Estilos del encabezado */
    header {
        position: relative;
        font-family: 'Kanit', sans-serif;
        border:white solid 2px;
        height: auto;
    }

    nav {
        background-color: white;
        padding: 1%;
        display: flex;
        align-items: center;
        position: absolute;
        width: 97vw;
        text-align: right;
        border-radius: 5px;
        margin-left: 1%;
        border: solid 0.2vw var(--color-primary);
    }

    .logo img {
        width: 17vw;
        height: auto;
    }

    nav ul {
        list-style-type: none;
        display: flex;
        justify-content: center;
        font-size: 3vw;
    }

    nav ul li a {
        color: var(--color-primary);
        text-decoration: none;
        font-weight: bold;
        margin-left: 4vw;
    }

    nav ul li a:hover {
        color: var(--color-accent);
    }

    /* Estilo para el menú desplegable */
    .dropdown {
        position: relative;
        display: inline-block;
    }

    .formulario-contacto label, .formulario-contacto input, .formulario-contacto textarea {
        display: block;
        margin-bottom: 10px;
    }
    
    .dropdown-content {
        display: none;
        position: absolute;
        background-color: #f9f9f9;
        min-width: 160px;
        box-shadow: 0px 8px 16px 0px rgba(0,0,0,0.2);
        z-index: 2;
        width: 200px;
        text-align: left;
        font-size: 2vw;
    }
    
    .dropdown-content a {
        color: #333;
        text-decoration: none;
        display: block;
    }
    
    .dropdown:hover .dropdown-content {
        display: block;
    }

    /* Estilos de la imagen de cabecera */
    .hero-image2 {
        background-size: cover;
        background-position: center;
        height: 60vw;
        position: relative;
        background-image: url(/img/fondo-difuminado.png);
        margin-bottom: 2vh;
    }

    .hero-text2 {
        position: relative;
        left: 5vw;
        color: var(--color-primary);
        width: 90vw;
    }

    .hero-text2 h1 {
        font-size: 7vw;
        text-align: center;
        margin-bottom: 2vw;
        color: var(--color-primary);
    }

    .hero-text2 p {
        font-size: 5vw;
        margin-bottom: 3.4vw;
        width: 90vw;
        text-align: center;
        color: var(--color-primary);
    }

    .btn2 {
        display:flex;
        padding: 0.5vw 1vw;
        background-color: #0088E9;
        color: #FFF;
        text-decoration: none;
        font-size: 4vw;
        border-radius: 4px;
        width: 90vw;
        text-align: center;
        justify-content: center;
        align-items: center;
        margin-bottom: 5vh;
    }

    .btn2:hover {
        background-color: #083B66;
    }
    .hero-image {
        background-size: cover;
        background-position: center;
        height: 0vw;
        position: relative;
    }
    
    .hero-text {
        position: relative;
        text-align: left;
        color: var(--color-primary);
        width: 19vw;
    }
    
    .hero-text h1 {
        font-size: 0.5vw;
        color: white;
    }
    
    .hero-text p {
        font-size: 0.5vw;
        color: white;
    }
    
    .btn {
        display: inline-block;
        background-color: #0088E9;
        color: #FFF;
        text-decoration: none;
        font-size: 0vw;
        border-radius: 4px;
        width: 0vw;
    }
    
    .btn:hover {
        background-color: #083B66;
    }

    /* Estilos de la sección de servicios */
    .services {
        background-color: var(--color-primary);
        padding: 10px;
        color: white;
        width: 100%;
        height: auto;
        margin: auto;
    }

    #h2N {
        width: 100%;
        color: white;
        justify-content: center;
        display: block;
        align-content: center;
        text-align: center;
        font-size: 30px;
        margin-top: 3vw;
        margin-bottom: 1%;
    }

    .service {
        text-align: center;
        margin-bottom: 40px;
        padding: 10px;
        border-radius: 5%;
        background-color: white;
        margin-top: 10px;
        margin-left: 10px;
        margin-right: 10px;
        color: #000000;
        width: 330px;
        display: flex;
        flex-direction: column;
        align-items: center;
    }

    .service img {
        width: 200px;
        height: auto;
        margin-bottom: 20px;
        margin-top: 20px;
        margin-top: 1%;
    }

    .service h3 {
        font-size: 25px;
        margin-bottom: 10px;
    }

    .service p {
        font-family: 'Roboto Condensed', sans-serif;
        width: 270px;
        text-align: left;
        margin-bottom: auto;
        font-size: 18px;
    }

    /* Estilos de la sección de contacto */
    .contact {
        padding: 40px;
    }

    .h1N {
        text-align: left;
        margin-bottom: 10px;
        font-size: 18px;
    }

    .contact h1 {
        font-size: 25px;
        justify-content: center;
        align-items: center;
        align-content: center;
    }

    .contact form {
        max-width: 400px;
        margin: 0 auto;
    }

    .contact form input,
    .contact form textarea {
        display: block;
        width: 100%;
        padding: 10px;
        margin-bottom: 20px;
        border-radius: 4px;
        border: 1px solid #CCC;
    }

    .contact form button {
        display: block;
        width: 100%;
        padding: 10px;
        background-color: #083B66;
        color: #FFF;
        border: none;
        border-radius: 4px;
        transition: background-color 0.3s;
    }

    .contact form button:hover {
        background-color: #0088E9;
    }

    /* Estilos del pie de página */
    footer {
        background-color: #083B66;
        padding: 20px;
        text-align: center;
        color: #FFF;
        font-size: 18px;
    }

    .image-container {
        width: 200px;
        height: 200px;
        border-radius: 50%;
        overflow: hidden;
        box-shadow: 0px 0px 50px rgba(0, 0, 0, 0.5);
    }
    
    .image-container img {
        width: 100%;
        height: 100%;
        object-fit: cover;
        align-content: center;
    }
        
}



